OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class JDBCStoredProcedurePlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.JDBCPlugin
              org.opennms.netmgt.capsd.JDBCStoredProcedurePlugin

All Implemented Interfaces:
  Plugin

public final class JDBCStoredProcedurePlugin
extends JDBCPlugin

This OpenNMS capsd plugin checks if a given server is running a server that can talk JDBC on a given interface. If true then the interface is "saved" for future service state checking. This plugin is slow; Stablishing a connection between the client and the server is an slow operation. A connection pool doesn't make any sense when discovering a database, Also opening and closing a connection every time helps to discover problems like a RDBMS running out of connections.

More plugin information available at: OpenNMS developer site

Since:
  0.1
Version:
  0.1 - 07/22/2002
Author:
  Jose Vicente Nunez Zuleta (josevnz@users.sourceforge.net) - RHCE, SJCD, SJCP

Field Summary
`private static java.lang.String` `DEFAULT_STORED_PROCEDURE` The stored procedure checked by the plugin

Fields inherited from class org.opennms.netmgt.capsd.JDBCPlugin
``

Constructor Summary
`JDBCStoredProcedurePlugin()` Class constructor.

Method Summary
`boolean` `checkStatus(org.apache.log4j.Category log, java.sql.Connection con, java.util.Map qualifiers)`

Methods inherited from class org.opennms.netmgt.capsd.JDBCPlugin
`getProtocolName, isProtocolSupported, isProtocolSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STORED_PROCEDURE

    private static final java.lang.String DEFAULT_STORED_PROCEDURE

  The stored procedure checked by the plugin

  See Also:
    Constant Field Values

Constructor Detail

### JDBCStoredProcedurePlugin

    public JDBCStoredProcedurePlugin()

  Class constructor. Load the JDBC drivers.

Method Detail

### checkStatus

    public boolean checkStatus(org.apache.log4j.Category log,
                               java.sql.Connection con,
                               java.util.Map qualifiers)

  Overrides:
    `checkStatus` in class `JDBCPlugin`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.